library(stockassessment)
load("run/model.RData")
FC<-list()
Ry<-2010:2019
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), rec.years=Ry, label="SQ all years", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,.5,1,1), catchval=c(10600,NA,NA,NA), rec.years=Ry, label="TAC, then half", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,.75,1,1), catchval=c(10600,NA,NA,NA), rec.years=Ry, label="TAC, then 3/4", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,.9,1,1), catchval=c(10600,NA,NA,NA), rec.years=Ry, label="TAC, then scale .9", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,1.1,1,1), catchval=c(10600,NA,NA,NA),rec.years=Ry, label="TAC, then scale 1.1", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(10600,NA,NA,NA),fval=c(NA,0.000001,0.000001, 0.000001), rec.years=Ry, label="TAC then zero", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(10600,NA,NA,NA), fval=c(NA,0.23,0.23, 0.23), rec.years=Ry, label="TAC then Fmsy", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.2022,0.2022, 0.2022), rec.years=Ry, label="SQ then .2022", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(10600,NA,NA,NA), fval=c(NA,0.69,0.69, 0.69), rec.years=Ry, label="TAC then Fpa", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), catchval=c(10600,NA,NA,NA), fval=c(NA,0.90,0.90, 0.90), rec.years=Ry, label="TAC then Flim", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,1,1,1), catchval=c(10600,NA,NA,NA), rec.years=Ry, 
                               label="TAC 10600 in 2020, then SQ", addTSB=TRUE)
save(FC, file="run/forecast.RData")
